--- title: "GetCertificateChain" slug: "security-certificatemanager-getcertificatechain" updated: 2026-10-08T04:19:14Z published: 2026-10-08T04:19:14Z canonical: "api.ncloud-docs.com/security-certificatemanager-getcertificatechain" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetCertificateChain Available in Classic and VPC Get PEM-format certificates and chains. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/certificate/exportCertificate/{certificateNo}/chain | ### Request headers For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateNo` | Integer | Required | Certificate number | ### Request example The request example is as follows: ``` curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/exportCertificate/12345/chain' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Total number of lists searched | | `subjectCommonName` | String | - | Certificate common name (CN) | | `certificate` | String | - | Certificate's PEM format | | `subCaCertificate` | String | - | SubCA certificate's PEM format | | `rootCaCertificate` | String | - | RootCA certificate's PEM format | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalRows": 0, "subjectCommonName": "ncloud.com", "certificate": "-----BEGIN CERTIFICATE-----\r\nMIIGfDCCBW ... k+ivSYiD+I6FIg=\r\n-----END CERTIFICATE-----", "subCaCertificate": "-----BEGIN CERTIFICATE-----\r\nMIIFkzCCA3 ... JmVUsylyFd\r\n-----END CERTIFICATE-----", "rootCaCertificate": "-----BEGIN CERTIFICATE-----\r\nMIIFojCCA4 ... uul\r\n9XXeifdy\r\n-----END CERTIFICATE-----" } ```